#
# spec file for package fec
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2017-2022, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   3
Name:           fec
Version:        3.0.0+git.20160910
Release:        bp156.5.4
Summary:        Library with several forward error correction (FEC) functions
License:        LGPL-2.1-only
Group:          Development/Libraries/C and C++
URL:            https://github.com/Opendigitalradio/ka9q-fec
Source:         %{name}-%{version}.tar.xz
Patch0:         fec-fix-cmake-libdir.patch
Patch1:         fec-fix-cmake-pkgconfig-whitespace.patch
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  pkgconfig
ExclusiveArch:  x86_64 %{arm} aarch64 riscv64

%description
A library that provides a set of functions that implement several
popular forward error correction (FEC) algorithms and several low-level routines
useful in modems implemented with digital signal processing (DSP).

%package -n libfec%{sover}
Summary:        Library with several forward error correction (FEC) functions
Group:          System/Libraries

%description -n libfec%{sover}
A library that provides a set of functions that implement several
popular forward error correction (FEC) algorithms and several low-level routines
useful in modems implemented with digital signal processing (DSP).

%package devel
Summary:        Development files for the libfec library
Group:          Development/Libraries/C and C++
Requires:       libfec%{sover} = %{version}

%description devel
A library that provides a set of functions that implement several
popular forward error correction (FEC) algorithms and several low-level routines
useful in modems implemented with digital signal processing (DSP).

This subpackage contains libraries and header files for developing
applications that want to make use of libfec.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake
%make_jobs

%install
%cmake_install

%post   -n libfec%{sover} -p /sbin/ldconfig
%postun -n libfec%{sover} -p /sbin/ldconfig

%files -n libfec%{sover}
%license LICENSE
%doc README README.x86-64
%{_libdir}/libfec.so.%{sover}

%files devel
%{_includedir}/fec.h
%{_libdir}/libfec.so
%{_libdir}/pkgconfig/libfec.pc

%changelog
* Tue Oct 25 2022 Andreas Schwab <schwab@suse.de>
- Enable build on riscv64
* Tue Oct 11 2022 Martin Hauke <mardnh@gmx.de>
- Fails to build on i586 - build only for "x86_64 %%{arm} aarch64"
- Run spec-cleaner
* Tue Jan 23 2018 mardnh@gmx.de
- Add patch:
  * fec-fix-cmake-pkgconfig-whitespace.patch
    Recent rpm version do not like the quotes around version
    in the pkgconfig file.
* Fri Jan 19 2018 jengelh@inai.de
- Fix SRPM group.
* Thu Jan 18 2018 mardnh@gmx.de
- Add patch:
  * fec-fix-cmake-libdir.patch
* Thu Apr 27 2017 jengelh@inai.de
- Fix truncated summary
* Mon Apr 24 2017 mpluskal@suse.com
- Add metadata into archive
- Update dependencies
- Small packaging cleanup
* Tue Apr  4 2017 mardnh@gmx.de
- Update to version 3.0.0+git.20160910:
  * Clarify build instructions
  * Add DESTDIR var to makefile
* Mon Dec 28 2015 mardnh@gmx.de
- Update to version 3.0.0.git1451125651.320b841:
  + dotprod.c make compile in case PORT
  + make it compile on arm too
  + add autoheader to bootstrap
  + Add -lm to makefile.in
  + Add CMake support
  + Fix generation of libfec.pc
  + cmake: further improvements
  + Add option "BUILD_32BIT_ON_64BIT" for 32-bit library building on a 64-bit system
  + Fix multiple definition "peakval_mmx", "peakval_sse2" and "peakval_ss" errors.
* Sat Sep 12 2015 mardnh@gmx.de
- Update to version 0.0.0.git1442094055.5a9540b:
  + cmake: another round of fixes
* Sat Sep 12 2015 mardnh@gmx.de
- initial package
